summaryrefslogtreecommitdiff
path: root/source4/script/tests/test_echo.sh
diff options
context:
space:
mode:
Diffstat (limited to 'source4/script/tests/test_echo.sh')
-rwxr-xr-xsource4/script/tests/test_echo.sh27
1 files changed, 20 insertions, 7 deletions
diff --git a/source4/script/tests/test_echo.sh b/source4/script/tests/test_echo.sh
index 4bec2426b1..2e0ed3ed02 100755
--- a/source4/script/tests/test_echo.sh
+++ b/source4/script/tests/test_echo.sh
@@ -20,9 +20,21 @@ testit() {
cat test.$$;
rm -f test.$$;
echo "TEST FAILED - $cmdline";
- exit 1;
+ return 1;
fi
rm -f test.$$;
+ return 0;
+}
+
+testok() {
+ name=`basename $1`
+ failed=$2
+ if [ x"$failed" = x"0" ];then
+ echo "ALL OK ($name)";
+ else
+ echo "$failed TESTS FAILED ($name)";
+ fi
+ exit $failed
}
transports="ncacn_np ncacn_ip_tcp"
@@ -30,25 +42,26 @@ if [ $server = "localhost" ]; then
transports="ncalrpc $transports"
fi
+failed=0
for transport in $transports; do
for bindoptions in connect sign seal sign,seal validate padcheck bigendian bigendian,seal; do
for ntlmoptions in \
"--option=socket:testnonblock=True" \
"--option=ntlmssp_client:ntlm2=yes" \
- "--option=ntlmssp_client:ntlm2=no" \
+ "--option=ntlmssp_client:ntlm2=no --option=torture:echo_TestSleep=no" \
"--option=ntlmssp_client:ntlm2=yes --option=ntlmssp_client:128bit=no" \
- "--option=ntlmssp_client:ntlm2=no --option=ntlmssp_client:128bit=no" \
+ "--option=ntlmssp_client:ntlm2=no --option=ntlmssp_client:128bit=no --option=torture:echo_TestSleep=no" \
"--option=ntlmssp_client:ntlm2=yes --option=ntlmssp_client:keyexchange=no" \
- "--option=ntlmssp_client:ntlm2=no --option=ntlmssp_client:keyexchange=no" \
+ "--option=ntlmssp_client:ntlm2=no --option=ntlmssp_client:keyexchange=no --option=torture:echo_TestSleep=no" \
; do
echo Testing $transport with $bindoptions and $ntlmoptions
- testit bin/smbtorture $transport:"$server[$bindoptions]" $ntlmoptions -U"$username"%"$password" -W $domain RPC-ECHO "$*"
+ testit bin/smbtorture $transport:"$server[$bindoptions]" $ntlmoptions -U"$username"%"$password" -W $domain RPC-ECHO "$*" || failed=`expr $failed + 1`
done
done
done
# separately test the print option - its v slow
echo Testing print option
-testit bin/smbtorture ncacn_np:"$server[print]" -U"$username"%"$password" -W $domain RPC-ECHO "$*"
+testit bin/smbtorture ncacn_np:"$server[print]" -U"$username"%"$password" -W $domain RPC-ECHO "$*" || failed=`expr $failed + 1`
-echo "ALL OK";
+testok $0 $failed